**`Rohit Goyal`[NAME]** -NL- Contact: +91-**`7838373333`[PHONES_PHONE]** -NL- **`rhtgoyal786@gmail.com`[EMAILS_EMAIL]** -NL- --------------------------------------------------------------------------------------------------- -NL- **`Profile Summary:`[SUMMARY_HEADING]** -NL- Java developer having more than 7 years of experience in object-oriented analysis, requirements -NL- analysis, system design. Currently working as **`Team Lead`[EMPLOYER_ROLE]**, with mCarbon (Nuance), Noida. -NL- • Active involvement in all the phases of SDLC. -NL- • Well versed in engagements with clients for requirement gathering and feasibility analysis from -NL- technical perspective. -NL- • Problem solving capability peered with strong communication skills. Adept at building strong -NL- working relationships with coworkers and management. -NL- **`Professional Experience:`[WORK_EXPERIENCE_HEADING]** -NL- Designation - Company - Duration -NL- **`Team Lead`[EMPLOYER_ROLE]** - mCarbon Tech Communication - Innovation, - Nuance - 2.5 Years -NL- **`SSE`[EMPLOYER_ROLE]** -NL- **`IBM India Pvt. Ltd`[EMPLOYER_COMPANY_NAME]**. -NL- 5 Years -NL- **`Skills:`[SKILLS_HEADING]** -NL- Industry Knowledge: -NL- Core Java, Multithreading, design pattern, Web Services, SQL, -NL- Collection, JDBC, Servlet, Requirements Analysis -NL- Framework and Tools: -NL- Spring -NL- **`Other Skills:`[SKILLS_HEADING]** -NL- Go Lang -NL- Web & Application Servers: -NL- Web sphere Application server -NL- Database: -NL- DB2, Polyhedra -NL- IDE Code and Configuration Eclipse, Rational Software Architect, SVN, GIT, Rational Clear -NL- Management: -NL- Case -NL- Defects/issue tracking: -NL- JIRA, Rational Clear Quest -NL- Project Details – mCarbon-Nuance -NL- Project: Loan-NXG (Rule Engine, Base Manager, USSD APP, Third Party APP, GUI API -NL- For Configuration, Umm Adaptor, NRT, Rule Simulator, Custom Logic Adaptor) -NL- Client: Aircel, Telenor, International Operator -NL- Role: Sr. System Engineer (TL) -NL- Duration: [Oct,2016 – Current] -NL- Description: Loan NXG is a unique, and innovative solution to grant various loans such as - talk -NL- time loan, message pack, and internet pack to the prepaid subscribers who run out of balance to -NL- make a call, or who has exhausted the message, or internet pack. However, loan can be credited -NL- to the account of a subscriber who fulfills the business rule associated with the loan. -NL- Rule Engine (RE): RE is responsible for validating if any specified user is eligible to subscribe de- -NL- fined service on platform, based on logical expressions configured through GUI which are based -NL- on specified parameters. RE fetch information through multiple adapters which are responsible for -NL- specified parameters like OT, ARPU, Current Balance etc. -NL- Base Manager (BM): It provides facility to load different kind of base (upto 200 million) using -NL- custom hash-map(memory), and provide O(1) complexity to get data from hash-map(memory). -NL- Base-manager able to load base from multiple files, data base (multiple query using MYSQL, ORA- -NL- CLE). -NL- USSD APP: It manages flow for USSD interaction with customer. With the help of JSON configu- -NL- ration, it is scalable in feature and provides configuration to accept any level of consent, to per- -NL- form any action whether it is wrong input, no input, first consent and more, to show any number -NL- of screens whether it is static or dynamic. -NL- GUI API For Configuration: Using the web-based interface of the Loan NXG, you can create, -NL- and modify business rules of the loans, configure a loan to the channels, and schedule the loans -NL- to be offered to the subscribers in a single, or multiple circles. -NL- Responsibilities: -NL- - Currently playing a role of product owner, so responsible for different solution design as well as -NL- team handling. -NL- - Active participation in requirement analysis, design and architecture of application. -NL- - Actively participated in development of integration test framework that helps to team for faster -NL- development. -NL- - Analysis of case studies of production, identify the problem areas and suggest the possible -NL- solution that could well fit in the scenario and solve the potential problems. -NL- - Involved in performance enhancement of product with respect to different use cases. -NL- Project Details – IBM INDIA -NL- Project: Prepaid-My Pack -NL- Client: Airtel India -NL- Role: Sr. System Engineer -NL- Duration: [Feb,2015 – July,2016] -NL- Description: My Pack provides flexibility to its Prepaid subscribers to create subscription packs -NL- according to their budget and usage in terms of talk-time (local, STD, ISD), SMS, internet. Airtel -NL- Prepaid User will be provided with an option to choose usage components from different -NL- categories – Voice, SMS, and Data to create a personalized pack which can be subscribed by him -NL- in a renewable and non-renewable mode. Using My Pack, a Prepaid Subscriber gets access to own -NL- prepaid pack details. Subscriber can also create his/her packs from business defined packs. -NL- Achievements: Awarded as manger's choice award for same, for successful and on-time delivery -NL- of project. -NL- Responsibilities: -NL- - Key member of the product team with complete knowledge of various channels. -NL- - Managed team members for development on different modules, UAT, Unit testing, deployment. -NL- - Helped team to develop and expose Web-Services for the application. -NL- - Involved in preparing the scope and design of the requirements. -NL- - Developed and designed the complete activation process of a pack which includes, transaction -NL- management, pack data management, fulfillment of benefits on various network elements. -NL- - Developed Cache for the application to prevent frequent database hits. -NL- - Designed and developed the flexible framework to manage all the components and its sub- -NL- components of a pack. -NL- - Unit level testing of application. -NL- - Created design (HL/LL) and unit test case for the enhancements. -NL- - Hosted integration of this interface with various channel, network elements and other -NL- applications. -NL- - Planned Unit test cases in such a manner to ensure least bugs during SIT and UAT -NL- - Key contributor to meet the various perspective of client. -NL- - Managed client demos, presentations and walk through of the application. -NL- Project: SMPP BULK SMS -NL- Client: Airtel India -NL- Role: Sr. System Engineer -NL- Duration: [July,2014 – Dec,2014] -NL- Description: Introduce a multi-threading frame work to send 20 million SMS from 8 AM to 8PM, -NL- In which threads are created on the basis of clones and circle such that a specific volume of SMS -NL- to be sent to specific circles. It makes sure that the volume of SMS doesn't cross a maximum -NL- value defined at SMSC end. As well as, it handles the load/TPS of a clone if that one clone is not -NL- working properly or having heavy load. This framework works on multi-threading environment -NL- which creates, deletes or updates the thread dynamically. -NL- Responsibilities: -NL- - Key member of the product team with complete knowledge of framework. -NL- - Lead the team of three member to get the functionality implemented in time with no defects. -NL- - Involved in preparing the scope, and the design of the requirement. -NL- - Supporting team technically and functionally for delivering project on time. -NL- - Designed the flexible framework to send all the SMS circle wise. -NL- - Planned and conducted the Unit level testing, and the load testing of application. -NL- - Planned Unit test cases in such a manner to ensure least bugs during SIT and UAT -NL- - Key contributor to meet the various prospective of client. -NL- Project: Online Generic Provisioning -NL- Role: System Engineer -NL- Duration: [Sep,2013 – April,2014] -NL- Description: Introduce a frame work for Provisioning & De-provisioning of all type of services -NL- received from any interacting channel. XML Validation is used to validate request, based on -NL- channel from which request is received. Order Management module is also enhanced to send -NL- different responses to customer and channel, if asked by channel. -NL- Responsibilities: -NL- - Key member of the product team with complete knowledge of various channels. -NL- - Involved in preparing the scope and design of the requirements. -NL- - Development of J2EE server-side components -NL- - Unit level testing of application -NL- - Hosted integration of this interface with 3G, 4G, and BlackBerry interface -NL- - Bug fixing for SIT and UAT. -NL- - Participated and Key contributor to meet the various perspective of client. -NL- - Managed client demos and presentations and walk through of the products. -NL- - Overall responsible for complete delivery of the product for all channels. -NL- Project: Blackberry/3G/4G Provisioning -NL- Client: Airtel India -NL- Role: System Engineer -NL- Duration: [July,2012 – Aug,2013] -NL- Description: Provisioning & De-provisioning services offered to the customers using various -NL- channels via. SMS, USSD, ISMS & Web, through different web service interfaces. It also includes -NL- life cycle management of the services, auto renewal and termination processes. The core of the -NL- project is Order Management for each customer's requests which provides strong frameworks for, -NL- re-queue of the failed or partial success orders, configuration-based validations of registered -NL- request, configuration and maintenance of Blackberry, 3G, 4G plan, generation of various types of -NL- daily and monthly transaction reports, maintaining SMS communication with customer. It also has -NL- a Mediation layer, which is used to interact with Network Elements. -NL- Responsibilities: -NL- - Key member of team with complete knowledge of Order Management System, and product catalog -NL- data base structure. -NL- - Development of J2EE server-side components for functional areas. -NL- - Unit level testing of application. Bug fixing for SIT and UAT. -NL- - Managed client demos and presentations and walk through of the products. -NL- - Over all responsible for complete delivery of the product for all channels. -NL- Project: SMS CENTRAL -NL- Client: Airtel India -NL- Role: System Engineer -NL- Duration: [Feb,2012 – April,2012] -NL- Description: Provide a framework to integrate with SMS CENTRAL, a centralized repository where -NL- all SMS scripts are placed, validated and could be sent to customer in multiple languages. This -NL- framework is designed in such a manner that our application uses reference id of these scripts for -NL- sending SMS to the subscriber, instead of sending SMS directly through MB and maintaining all SMS -NL- notification scripts in application's database itself. -NL- Responsibilities: -NL- - Key member of the product team with complete knowledge of various channels. -NL- - Involved in preparing the scope and design of the requirements. -NL- - Development of J2EE server side components. -NL- - Unit level testing of application. Bug fixing for SIT and UAT. -NL- - Participated and Key contributor to meet the various perspective of client. -NL- - Managed client demos and presentations and walk through of the products. -NL- - Overall responsible for complete delivery of the product. -NL- **`Personal and Educational Details:`[PERSONAL_DETAILS_HEADING]** -NL- Date of Birth: 5 Sep, 1990 -NL- Education: B.E. (**`Electronics & Communication Engineering`[EDUCATION_COURSE]**) from **`Thapar University, -NL- Patiala`[EDUCATION_INSTITUTE]** -NL- 